Attribute VB_Name = "MainModul"
Option Explicit
'  
Public Declare Function SetParent Lib "user32" (ByVal hWndChild As Long, ByVal hWndNewParent As Long) As Long
'  
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Sub ReleaseCapture Lib "user32" ()
Public Const WM_NCLBUTTONDOWN = &HA1
Public Const HTCAPTION = 2
'=========================
'  
Private Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Private Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Private Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Private Declare Function GetWindowRect Lib "user32" (ByVal hwnd As Long, lpRect As RECT) As Long

Private Type RECT
Left As Long
Top As Long
Right As Long
Bottom As Long
End Type

Private Const GWL_STYLE = (-16)
Private Const WS_SYSMENU = &H80000
Private Const WS_MAXIMIZEBOX = &H10000
Private Const WS_MINIMIZEBOX = &H20000
Private Const WS_CAPTION = &HC00000
Private Const SWP_FRAMECHANGED = &H20
Private Const SWP_NOREPOSITION = &H200
Private Const SWP_NOZORDER = &H4

Public Function ShowTitleBar(ByVal frmForm As Form, ByVal bState As Boolean)
On Error Resume Next
Dim lStyle As Long
Dim tR As RECT
GetWindowRect frmForm.hwnd, tR
lStyle = GetWindowLong(frmForm.hwnd, GWL_STYLE)
If (bState) Then
frmForm.Caption = frmForm.Tag
If frmForm.ControlBox Then
lStyle = lStyle Or WS_SYSMENU
End If
If frmForm.MaxButton Then
lStyle = lStyle Or WS_MAXIMIZEBOX
End If
If frmForm.MinButton Then
lStyle = lStyle Or WS_MINIMIZEBOX
End If
If frmForm.Caption = "" Then
lStyle = lStyle Or WS_CAPTION
End If
Else
frmForm.Tag = frmForm.Caption
frmForm.Caption = ""
lStyle = lStyle And Not WS_SYSMENU
lStyle = lStyle And Not WS_MAXIMIZEBOX
lStyle = lStyle And Not WS_MINIMIZEBOX
lStyle = lStyle And Not WS_CAPTION
End If
SetWindowLong frmForm.hwnd, GWL_STYLE, lStyle
SetWindowPos frmForm.hwnd, 0, tR.Left, tR.Top, tR.Right - tR.Left, tR.Bottom - tR.Top, SWP_NOREPOSITION Or SWP_NOZORDER Or SWP_FRAMECHANGED
frmForm.Refresh
End Function

'================================
